## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <eTree>

`<eTree>` | (embedding tree) provides an alternative to `<tree>` element for representing ordered rooted tree structures.

Attributes

(In addition to global attributes and those inherited from chunk)

`label` | gives a label for an embedding tree.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED

`value` | provides the value of an embedding tree, which is a feature structure or other analytic element.
| Datatype: IDREF
| Values: A valid identifier of a feature structure or other analytic element.
| Default: #IMPLIED

Example

    <eTree n="ex1" label="PP">
       <eTree label="P">
          <eLeaf label="with"/>
       </eTree>
       <eTree label="NP">
          <eTree label="Art">
             <eLeaf label="the"/>
          </eTree>
          <eTree label="N">
             <eLeaf label="periscope"/>
          </eTree>
       </eTree>
    </eTree>

Module Declared in file teinet2; Additional tag set for Graph Theory: enabled by TEI.nets
Class chunk
Data Description zero or more embedding trees, triangles, or embedding leafs.
May contain eLeaf eTree triangle
May occur within add argument body castList corr div div0 div1 div2 div3 div4 div5 div6 div7 eTree epigraph epilogue forest item metDecl note performance prologue q quote set sic stage triangle view
Declaration

    <!ELEMENT eTree %om.RR; ((eTree |  triangle | eLeaf )*)>
    <!ATTLIST eTree
          %a.global;
          label CDATA #IMPLIED
          value IDREF #IMPLIED>

See further 21.3 Another Tree Notation

Up: 35 Elements